{ pkgs, ... }:

let
  _theme = import ../theme;
  theme = _theme.theme; # Theme name
in {
  programs.rofi = {
    enable = true;
    inherit theme;
  };
  home.file.".config/rofi/${theme}.rasi".source = pkgs.substituteAll ({
    src = ./theme.rasi;
  } // _theme.colors);
}
