{ pkgs, ... }:

{
  home.packages = with pkgs; [ ranger ];

  home.file = {
    ".config/ranger/plugins/ranger_devicons".source = pkgs.fetchFromGitHub {
      owner = "alexanderjeurissen";
      repo = "ranger_devicons";
      rev = "49fe4753c89615a32f14b2f4c78bbd02ee76be3c";
      sha256 = "YT7YFiTA2XtIoVzaVjUWMu6j4Nwo4iGzvOtjjWva/80=";
    };
    ".config/ranger/rc.conf".text = "default_linemode devicons";
  };
}
